The script test-build.sh can be used to test building several
targets with different configurations. The directory name reflects
the target and the customized configuration.
When there is a failure, it is convenient to print this build
directory to quickly know which case is failing without scrolling
the build log history.
Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>
success=false
on_exit ()
{
- if [ "$DPDK_NOTIFY" = notify-send ] ; then
- if $success ; then
+ if $success ; then
+ [ "$DPDK_NOTIFY" != notify-send ] || \
notify-send -u low --icon=dialog-information 'DPDK build' 'finished'
- elif [ -z "$signal" ] ; then
+ elif [ -z "$signal" ] ; then
+ [ -z "$dir" ] || echo "failed to build $dir" >&2
+ [ "$DPDK_NOTIFY" != notify-send ] || \
notify-send -u low --icon=dialog-error 'DPDK build' 'failed'
- fi
fi
}
# catch manual interrupt to ignore notification
O=$(readlink -m $dir/examples/performance-thread)
unset RTE_TARGET
echo "################## $dir done."
+ unset dir
done
if ! $short ; then